import { IEnvironmentService } from "vscode/vscode/vs/platform/environment/common/environment.service";
import { IFileService } from "vscode/vscode/vs/platform/files/common/files.service";
import { ILogService } from "vscode/vscode/vs/platform/log/common/log.service";
import { IUriIdentityService } from "vscode/vscode/vs/platform/uriIdentity/common/uriIdentity.service";
import { IUserDataProfile, StoredProfileAssociations, StoredUserDataProfile, UserDataProfilesService } from "vscode/vscode/vs/platform/userDataProfile/common/userDataProfile";
import { IUserDataProfilesService } from "vscode/vscode/vs/platform/userDataProfile/common/userDataProfile.service";
export declare class BrowserUserDataProfilesService extends UserDataProfilesService implements IUserDataProfilesService {
    private readonly changesBroadcastChannel;
    constructor(environmentService: IEnvironmentService, fileService: IFileService, uriIdentityService: IUriIdentityService, logService: ILogService);
    private updateTransientProfiles;
    protected getStoredProfiles(): StoredUserDataProfile[];
    protected triggerProfilesChanges(added: IUserDataProfile[], removed: IUserDataProfile[], updated: IUserDataProfile[]): void;
    protected saveStoredProfiles(storedProfiles: StoredUserDataProfile[]): void;
    protected getStoredProfileAssociations(): StoredProfileAssociations;
    protected saveStoredProfileAssociations(storedProfileAssociations: StoredProfileAssociations): void;
}
