import { Event } from "vscode/vscode/vs/base/common/event";
import { IStorageDatabase } from "vscode/vscode/vs/base/parts/storage/common/storage";
import { ILogService } from "vscode/vscode/vs/platform/log/common/log.service";
import { AbstractUserDataProfileStorageService, IProfileStorageChanges } from "../../../../platform/userDataProfile/common/userDataProfileStorageService.js";
import { IUserDataProfileStorageService } from "vscode/vscode/vs/platform/userDataProfile/common/userDataProfileStorageService.service";
import { IStorageService } from "vscode/vscode/vs/platform/storage/common/storage.service";
import { IUserDataProfile } from "vscode/vscode/vs/platform/userDataProfile/common/userDataProfile";
import { IUserDataProfileService } from "vscode/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
export declare class UserDataProfileStorageService extends AbstractUserDataProfileStorageService implements IUserDataProfileStorageService {
    private readonly userDataProfileService;
    private readonly logService;
    private readonly _onDidChange;
    readonly onDidChange: Event<IProfileStorageChanges>;
    constructor(storageService: IStorageService, userDataProfileService: IUserDataProfileService, logService: ILogService);
    private onDidChangeStorageTargetInCurrentProfile;
    private onDidChangeStorageValueInCurrentProfile;
    protected createStorageDatabase(profile: IUserDataProfile): Promise<IStorageDatabase>;
}
